com.intellectualcrafters.plot.util

## Class PlayerFunctions

- java.lang.Object
- - com.intellectualcrafters.plot.util.PlayerFunctions

-     public class PlayerFunctions
      extends java.lang.Object

  Functions involving players, plots and locations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlayerFunctions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getAllowedPlots(org.bukkit.entity.Player p)` Get the maximum number of plots a player is allowed
    `static Plot` | `getBottomPlot(org.bukkit.World world, Plot plot)`
    `static Plot` | `getCurrentPlot(org.bukkit.entity.Player player)` Returns the plot a player is currently in.
    `static java.util.ArrayList<PlotId>` | `getMaxPlotSelectionIds(org.bukkit.World world, PlotId pos1, PlotId pos2)`
    `static int` | `getPlayerPlotCount(org.bukkit.World world, org.bukkit.entity.Player plr)` Get the number of plots for a player
    `static java.util.Set<Plot>` | `getPlayerPlots(org.bukkit.World world, org.bukkit.entity.Player plr)` Get the plots for a player
    `static PlotId` | `getPlot(org.bukkit.Location loc)` Returns the plot id at a location (mega plots are considered)
    `static PlotId` | `getPlotAbs(org.bukkit.Location loc)` Returns the plot at a location (mega plots are not considered, all plots are treated as small plots)
    `static java.util.Set<Plot>` | `getPlots()` Deprecated.
    `static java.util.ArrayList<PlotId>` | `getPlotSelectionIds(org.bukkit.World world, PlotId pos1, PlotId pos2)`
    `static Plot` | `getTopPlot(org.bukkit.World world, Plot plot)`
    `static boolean` | `hasExpired(Plot plot)`
    `static boolean` | `isInPlot(org.bukkit.entity.Player player)`
    `static boolean` | `sendMessage(org.bukkit.entity.Player plr, C c, java.lang.String... args)` Send a message to the player
    `static boolean` | `sendMessage(org.bukkit.entity.Player plr, java.lang.String msg)` Send a message to the player
    `static void` | `sendMessageWrapped(org.bukkit.entity.Player plr, java.lang.String msg)` \\previous\\
    `static void` | `set(Plot plot)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlayerFunctions

          public PlayerFunctions()

  - ### Method Detail

    - #### isInPlot

          public static boolean isInPlot(org.bukkit.entity.Player player)

      Parameters:
        `player` - player
      Returns:

    - #### hasExpired

          public static boolean hasExpired(Plot plot)

      Parameters:
        `plot` - plot
      Returns:

    - #### getPlotSelectionIds

          public static java.util.ArrayList<PlotId> getPlotSelectionIds(org.bukkit.World world,
                                                        PlotId pos1,
                                                        PlotId pos2)

    - #### getMaxPlotSelectionIds

          public static java.util.ArrayList<PlotId> getMaxPlotSelectionIds(org.bukkit.World world,
                                                           PlotId pos1,
                                                           PlotId pos2)

    - #### getBottomPlot

          public static Plot getBottomPlot(org.bukkit.World world,
                           Plot plot)

    - #### getTopPlot

          public static Plot getTopPlot(org.bukkit.World world,
                        Plot plot)

    - #### getPlotAbs

          public static PlotId getPlotAbs(org.bukkit.Location loc)

      Returns the plot at a location (mega plots are not considered, all plots are treated as small plots)
      Parameters:
        `loc` -
      Returns:

    - #### getPlot

          public static PlotId getPlot(org.bukkit.Location loc)

      Returns the plot id at a location (mega plots are considered)
      Parameters:
        `loc` -
      Returns:

    - #### getCurrentPlot

          public static Plot getCurrentPlot(org.bukkit.entity.Player player)

      Returns the plot a player is currently in.
      Parameters:
        `player` -
      Returns:

    - #### set

          @Deprecated
          public static void set(Plot plot)

      Deprecated.
      Updates a given plot with another instance
      Parameters:
        `plot` -

    - #### getPlayerPlots

          public static java.util.Set<Plot> getPlayerPlots(org.bukkit.World world,
                                           org.bukkit.entity.Player plr)

      Get the plots for a player
      Parameters:
        `plr` -
      Returns:

    - #### getPlayerPlotCount

          public static int getPlayerPlotCount(org.bukkit.World world,
                               org.bukkit.entity.Player plr)

      Get the number of plots for a player
      Parameters:
        `plr` -
      Returns:

    - #### getAllowedPlots

          public static int getAllowedPlots(org.bukkit.entity.Player p)

      Get the maximum number of plots a player is allowed
      Parameters:
        `p` -
      Returns:

    - #### getPlots

          @Deprecated
          public static java.util.Set<Plot> getPlots()

      Deprecated.
      Returns:
        PlotMain.getPlots();

    - #### sendMessageWrapped

          public static void sendMessageWrapped(org.bukkit.entity.Player plr,
                                java.lang.String msg)

      \\previous\\
      Parameters:
        `plr` -
        `msg` - Was used to wrap the chat client length (Packets out--)

    - #### sendMessage

          public static boolean sendMessage(org.bukkit.entity.Player plr,
                            java.lang.String msg)

      Send a message to the player
      Parameters:
        `plr` - Player to recieve message
        `msg` - Message to send
      Returns:
        true Can be used in things such as commands (return PlayerFunctions.sendMessage(...))

    - #### sendMessage

          public static boolean sendMessage(org.bukkit.entity.Player plr,
                            C c,
                            java.lang.String... args)

      Send a message to the player
      Parameters:
        `plr` - Player to recieve message
        `c` - Caption to send
      Returns: